.m-comments-form {
  margin: 30px 0;

  &--children {
    margin-left: 45px;
    margin-top: 15px;
    margin-bottom: 15px;
  }

  &__container {
    position: relative;
    display: flex;
    flex-direction: row;
  }

  &__avatar {
    margin-right: 5px;

    img {
      display: block;
      height: 45px;
      border-radius: 3px;
    }
  }

  &__textarea {
    position: relative;
    flex: 1;
    margin-right: 46px;
  }

  &__textarea-input {
    display: block;
    width: 100%;
    padding: 5px 46px 5px 5px;
    background-color: $dark-accent-primary;
    border: 1px solid $accent-color-main;
    border-radius: 3px;
    color: $white;
    font-size: 16px;
    line-height: 1.4;
    resize: none;
    transition: border 0.3s ease;
    height: 45px;

    &::placeholder {
      color: $white60;
      font-size: 16px;
      opacity: 1;
      transition: color 0.3s ease;
    }

    &:focus {
      outline: none;

      &::placeholder {
        color: transparent;
      }
    }

    &.warning {
      border-color: $danger;
    }
  }

  &__textarea-button {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    padding: 10px;
    font-size: 24px;
    color: $accent-color-main;

    &.is-loading {
      position: absolute;

      &::before {
        display: none;
      }
    }

    &.is-disabled,
    &.is-disabled:focus,
    &.is-disabled:hover,
    &:focus,
    &:hover {
      color: $accent-color-main;
    }

    &.warning {
      color: $danger;
    }

    &.smile {
      color: $white60;

      &:focus,
      &:hover {
        color: $white60;
      }
    }

    &.submit {
      right: -46px;
    }
  }

  &__emoji-container {
    position: absolute;
    right: 50px;
    top: 4px;
    z-index: 10;
  }
}

.m-comments-form-guest {
  min-height: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 10px 0;
  padding: 10px 0;
  border: $comment-form-textarea-border;

  &__info {
    margin-bottom: 10px;
  }

  &__action {
    text-transform: uppercase;
  }
}
